/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : Jul 23, 2017, 8:23:44 PM
    Author     : Andik
*/

.ui-widget {
    font-family: 'Roboto'!important;
    font-size: 14px!important;
}

.ui-widget .ui-widget {
    font-family: 'Roboto'!important;
    font-size: 14px!important;
}

.ui-datatable table thead tr th,
.ui-datatable table tbody tr td {
    font-size: 14px!important;    
}

.ui-panelgrid-cell {
    padding: 4px 0!important;
}

.ui-datatable.vtop table thead tr th, 
.ui-datatable.vtop table tbody tr td {
    vertical-align: top!important;
}

/*
--------------------------
*/


.white-button.ui-button.ui-state-default {
    background-color: #ffffff;
    color: #222222;
    border-color: #d6d6d6;
}

.white-button.ui-button.ui-state-default:enabled:hover, 
.white-button.ui-button.ui-state-default:focus {
    background-color: #f2f2f2;
    border-color: #ccc;
    color: #373a3c;
}

.green-button.ui-button.ui-state-default {
    background-color: #5cb85c;
    border-color: #5cb85c;
    color: #fff;
}

.green-button.ui-button.ui-state-default:enabled:hover, 
.green-button.ui-button.ui-state-default:focus {
    background-color: #4cae4c;
    border-color: #5cb85c;
}

.red-button.ui-button.ui-state-default {
    background-color: #d9534f;
    border-color: #d9534f;
    color: #fff;
}

.red-button.ui-button.ui-state-default:enabled:hover, 
.red-button.ui-button.ui-state-default:focus {
    background-color: #d43f3a;
    border-color: #d9534f;
}

/* clear table */

.clear-table.ui-datatable table thead tr th,
.clear-table.ui-datatable table tbody tr td,
.clear-table.ui-datatable table tfoot tr th {
    border: none!important;
}

.clear-table.ui-datatable table thead tr th {
    background: none!important;
    color: #333!important;
    text-align: left;
    padding-top: 8px!important;
    padding-bottom: 8px!important;
    padding-left: 8px!important;
    padding-right: 8px!important;
    vertical-align: bottom;
    font-weight: 600!important;
}

.clear-table.ui-datatable table tbody tr td,
.clear-table.ui-datatable table tfoot tr th {
    border-top: 1px solid #e0e0e0!important;
    padding-top: 4px!important;
    padding-bottom: 4px!important;
    padding-left: 8px!important;
    padding-right: 8px!important;
    vertical-align: top;
}

.clear-table.vmid.ui-datatable table tbody tr td {
    vertical-align: middle!important;
}

.clear-table.ui-datatable table tbody.ui-widget-content,
.clear-table.ui-datatable table tbody tr.ui-widget-content {
    border: none!important;
}

.clear-table.ui-datatable .ui-datatable-summaryrow.ui-widget-header {
    border: none!important;
}

.clear-table.vmid tbody tr td {
    vertical-align: middle!important;
}

.ui-datatable table thead tr th,
.ui-datatable table tbody tr td,
.ui-datatable table tfoot tr th {
    border: none!important;
}

.ui-datatable table thead tr th {
    color: #333!important;
    text-align: left;
    padding-top: 8px!important;
    padding-bottom: 8px!important;
    padding-left: 8px!important;
    padding-right: 8px!important;
    vertical-align: bottom;
    font-weight: 600!important;
    border-top: 1px solid #e0e0e0!important;
}

.ui-datatable table thead tr th:first-child,
.ui-datatable table tbody tr td:first-child {
    padding-left: 16px!important;
}

.ui-datatable table thead tr th:last-child,
.ui-datatable table tbody tr td:last-child {
    padding-right: 16px!important;
}

.ui-datatable table tbody tr td,
.ui-datatable table tfoot tr th {
    border-top: 1px solid #e0e0e0!important;
    padding-top: 4px!important;
    padding-bottom: 4px!important;
    padding-left: 8px!important;
    padding-right: 8px!important;
    vertical-align: middle;
}

.ui-datatable table tbody.ui-widget-content,
.ui-datatable table tbody tr.ui-widget-content {
    border: none!important;
}

.ui-datatable .ui-rowgroup-header.ui-datatable-headerrow.ui-widget-header {
    border: none!important;
}

.ui-datatable .ui-datatable-summaryrow.ui-widget-header {
    border: none!important;
}

.table-small.ui-datatable table thead tr th {
    font-size: 12px!important;
    padding: 8px 4px!important;
}

.table-small.ui-datatable table tbody tr td {
    font-size: 12px!important;
    padding: 4px!important;
}

.table-small.ui-datatable table tbody tr td .ui-widget {
    font-size: 12px!important;    
}

.line-3-solid {
    height: 3px;
    background-color: #e0e0e0;
}

.line-1-solid {
    height: 1px;
    background-color: #e0e0e0;
}

.sg {
    width: 100%;
}

.sgs {

}

.sg-label {
    font-size: 16px;
    font-style: italic;
    text-align: right;
}

.sg-value {
    font-size: 16px;
    font-style: italic;
    text-align: right;
    width: 180px;
}

.sg-value-lg {
    padding-left: 16px;
    font-size: 16px;
    font-style: italic;
    text-align: right;
    width: 220px;
}

.sg-value-lg .sgl {
    display: block;
    padding-right: 16px;
    padding-left: 16px;
}

.sg-value-lg .sgi {
    padding-right: 16px;
    padding-left: 16px;
    font-size: 16px!important;
    text-align: right!important;
    font-style: italic!important;
}

.sgs100 {
    width: 100px;
}

.sgs32 {
    width: 32px;
}

.ui-button-text {
    font-weight: normal!important;
}

.ui-button-icon-left {
    font-weight: normal!important;
}

/* dialog */
.top-confirm-dialog.ui-dialog {
    top: 0!important;
}

/*
button menu
*/

.ui-menuitem-icon.ui-icon {
    text-align: left;
}

/*
.ui-state-disabled {
    color: #333!important;
    opacity: 1!important;
}
*/

/* dokter table */

.dokter-table.ui-datatable table thead tr th,
.dokter-table.ui-datatable table tbody tr td,
.dokter-table.ui-datatable table tfoot tr th {
    border: none!important;
}

.dokter-table.ui-datatable table thead tr th {
    background: none!important;
    color: #333!important;
    text-align: left;
    padding-top: 8px!important;
    padding-bottom: 8px!important;
    padding-left: 8px!important;
    padding-right: 8px!important;
    vertical-align: bottom;
    font-weight: 600!important;
}

.dokter-table.ui-datatable table tbody tr td,
.dokter-table.ui-datatable table tfoot tr th {
    border-top: 1px solid #e0e0e0!important;
    padding-top: 8px!important;
    padding-bottom: 8px!important;
    padding-left: 8px!important;
    padding-right: 8px!important;
    vertical-align: top;
}

.ui-menuitem-text {
    display: inline-block;
    margin-left: 8px;
}